Jump to content

Synology DSM 7 and Nakivo 10.4 Not Compatible!


Jason
 Share

Recommended Posts

Hi, @Vitor Tapadas!

It shouldn't be an issue as v7.0.3 is supported. Could you please send us the Support Bundle with ticket id #116596?

Also, please clarify if your ESXi host is a free version or not.

Here you can check how to generate a Support Bundle https://helpcenter.nakivo.com/User-Guide/Content/Settings/Support-Bundles.htm

Let me know if you have any additional questions.

Link to comment
Share on other sites

@mdovey

Hi, Matthew!

You are right. Now, we are working along with Synology to have our latest build version into DSM7 Package Center. At this point, Synology doesn't have the opportunity to install apps from external installers.

Please ensure that we are putting all our effort into having version 10.4.1 on DM7 approved soon, but there is no ETA yet.

But still, DSM 7 transporter is available after enabling system.transporter.allow.old from the expert settings:
https://helpcenter.nakivo.com/User-Guide/Content/Settings/Expert-Mode.htm 

Link to comment
Share on other sites

On 11/15/2021 at 9:49 PM, Official Moderator said:

@mdovey

At this point, Synology doesn't have the opportunity to install apps from external installers.

Please ensure that we are putting all our effort into having version 10.4.1 on DM7 approved soon, but there is no ETA yet.

Thanks.

This does raise some general concerns:

i) Will Nakivo have to go through this approval process every time there is an update to the software? Unless Synology streamlines its approval process, at the current rate this would mean that the Synology version is about three months behind the released version. This may not be an issue with feature release upgrade (others may have different views) but could be problematic with bug fix or security updates; particularly given that vCenter updates quit typically break things requiring an updated Nakivo.

ii) When I've had to approach Nakivo support, I've found them extremely responsive. Part of the trouble-shooting process often involves installing pre-release, beta or bespoke builds of the software. I can't see how this would work if there isn't a means for Synology to use external installers. 

I hope these issues can be resolved soon - to be honest, this is questioning my decision to go with Synology rather than Nakivo. When I need to update\replace my NAS, I'll certainly be looking at what other options there are.

 

Matthew

  • Like 1
Link to comment
Share on other sites

@mdovey

Matthew,

Your concerns are more than reasonable. As for your questions:

i) Will Nakivo have to go through this approval process every time there is an update to the software? 

As far as we know, yes, it is. But the approval process is from the Synology side. NAKIVO just applies and waits for their approval. And we hope the next release will be faster.

ii) Part of the trouble-shooting process often involves installing pre-release, beta or bespoke builds of the software. I can't see how this would work if there isn't a means for Synology to use external installers.

NAKIVO always releases the Beta version for testing/demo before the GA version.If you have no environment to use the Beta (for example, on Synology DSM7), you can deploy NAKIVO Backup & Replication as VA in the VMWare for testing. 

At the moment, we are trying to figure how to adjust this new requirement from Synology. We are constantly releasing new versions to offer the most to our customers. However, now, we are aiming to find ways of accelerating the approval process on Synology side.

I understand your frustration. And I honestly hope to inform you soon about an alternative solution to this compatibility issue.

  • Like 1
Link to comment
Share on other sites

  • 2 weeks later...

So I am looking to update my VSphere cluster to 7.0.3.00100 and currently run Nakivo 10.4.0 and the Synology NAS is on DSM 6.2.4-25556 Update 2 and will NOT be upgraded to 7.0.1 because it does not support DSM 7. Do I just need to update to 10.4.1 to have this work fine? Or do I need 10.5

 

Again I am not on DSM for this particular unit.

  • Like 1
Link to comment
Share on other sites

Hi, @Jason!

Partial support of the vSphere 7U3 was implemented in the 10.4.1 version of the product. We plan to introduce the full vSphere 7U3 support in version 10.5.1 of NAKIVO, which will arrive later this month.

You can install 10.5 for now, but after the release of the new version, we could recommend updating your NAKIVO to 10.5.1.

Let me know if you have any additional questions.

Link to comment
Share on other sites

  • 1 month later...
  • 6 months later...

I tried to update to 10.6.1 today and was told I require 7.0.4000 or older. Of course my NAS units are on the latest build. IS this going to be an ongoing issue every time I want to update Nakivo? I reached out to support and they want me to SSH my Synology units and use ssh installers. Please tell me this will not be the procedure going foward.

  • Like 1
Link to comment
Share on other sites

15 hours ago, Jason said:

I tried to update to 10.6.1 today and was told I require 7.0.4000 or older. Of course my NAS units are on the latest build. IS this going to be an ongoing issue every time I want to update Nakivo? I reached out to support and they want me to SSH my Synology units and use ssh installers. Please tell me this will not be the procedure going foward.

Hello, @Jason We appreciate your patience during our investigation.
 
NAKIVO provides new versions to Synology to publish on the Synology Package Center when new versions are released. Further delays with publishing NAKIVO software, as well as limitations on manual updates on DSM 7+, are caused on the Synology side.
 
We are looking forward to your feedback.
Should you need any further information, please do not hesitate to contact us.
Link to comment
Share on other sites

  • 2 months later...
On 10/17/2021 at 10:15 AM, RJB said:

Forgot the systemctl replacement

2a - wget https://raw.githubusercontent.com/gdraheim/docker-systemctl-replacement/master/files/docker/systemctl.py -O /usr/local/bin/systemctl

2b - make it executable: chmod +x /usr/local/bin/systemctl

and create a script which starts the required(iscsid, nkv-bhsvc, nkv-dirsvc) services

For those interested in running Nakivo in a Docker container.. this is the Dockerfile I came up with RJB ideas:

 

# based on ideas from:
#   https://forum.nakivo.com/index.php?/topic/6376-synology-dsm-7-and-nakivo-104-not-compatible/&do=findComment&comment=8166

FROM ubuntu:18.04

# update
RUN apt-get update
RUN apt-get -y upgrade

# pre-requisites
RUN apt install -y cifs-utils ntfs-3g open-iscsi
RUN apt-get update
RUN apt-get -y upgrade

# systemctl replacement
RUN  apt-get update \
  && apt-get install -y wget \
  && rm -rf /var/lib/apt/lists/*
RUN wget https://raw.githubusercontent.com/gdraheim/docker-systemctl-replacement/master/files/docker/systemctl.py -O /usr/local/bin/systemctl
RUN chmod +x /usr/local/bin/systemctl

# Copy installer
COPY installers/NAKIVO_Backup_Replication_v10.7.2.69768_Installer-FREE.sh /var/tmp/installer.sh
RUN chmod +x /var/tmp/installer.sh
RUN /var/tmp/installer.sh -f --eula-accept
RUN rm /var/tmp/installer.sh

# Start services
CMD service iscsid start && service nkv-bhsvc start && service nkv-dirsvc start && tail -F /var/log/nakivo_container.log
 

Link to comment
Share on other sites

23 hours ago, Rolando_Ramirez said:

For those interested in running Nakivo in a Docker container.. this is the Dockerfile I came up with RJB ideas:

 

# based on ideas from:
#   https://forum.nakivo.com/index.php?/topic/6376-synology-dsm-7-and-nakivo-104-not-compatible/&do=findComment&comment=8166

FROM ubuntu:18.04

# update
RUN apt-get update
RUN apt-get -y upgrade

# pre-requisites
RUN apt install -y cifs-utils ntfs-3g open-iscsi
RUN apt-get update
RUN apt-get -y upgrade

# systemctl replacement
RUN  apt-get update \
  && apt-get install -y wget \
  && rm -rf /var/lib/apt/lists/*
RUN wget https://raw.githubusercontent.com/gdraheim/docker-systemctl-replacement/master/files/docker/systemctl.py -O /usr/local/bin/systemctl
RUN chmod +x /usr/local/bin/systemctl

# Copy installer
COPY installers/NAKIVO_Backup_Replication_v10.7.2.69768_Installer-FREE.sh /var/tmp/installer.sh
RUN chmod +x /var/tmp/installer.sh
RUN /var/tmp/installer.sh -f --eula-accept
RUN rm /var/tmp/installer.sh

# Start services
CMD service iscsid start && service nkv-bhsvc start && service nkv-dirsvc start && tail -F /var/log/nakivo_container.log
 

Hello, @Rolando_Ramirez Thank you for your contribution to our community and for choosing NAKIVO Backup & Replication as your data protection solution.

Link to comment
Share on other sites

  • 2 weeks later...
On 11/22/2022 at 3:14 PM, Jason said:

Is 10.7.2 compatible with DSM 7.1.1-42962 Update 2

Yes, 10.7.2 is compatible with DSM 7.1.1-42962 Update 2.

You can refer to the following article for details: https://helpcenter.nakivo.com/User-Guide/Content/Deployment/System-Requirements/Deployment-Requirements.htm#Operatin

We look forward to hearing from you.

Link to comment
Share on other sites

8 minutes ago, Official Moderator said:

Yes, 10.7.2 is compatible with DSM 7.1.1-42962 Update 2.

You can refer to the following article for details: https://helpcenter.nakivo.com/User-Guide/Content/Deployment/System-Requirements/Deployment-Requirements.htm#Operatin

We look forward to hearing from you.

Tried to update it this morning and received this when using file NAKIVO_Backup_Replication_v10.7.2_Updater_Synology

 

image.png.64c7de6168de059e924183300a17e32f.png

  • Like 1
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...